Skip to content

Create a business profile (V3)
deprecated

Request

This endpoint is deprecated. See Migrating to industry categories for the current create business profile endpoint and migration steps.

Create a business profile and its authorized representative in a single request.

This request accepts an optional field in the header, X-idempotence-uuid. This should be unique for each Profile you create. In the event that the request fails, you should use the same value again when retrying. If the X-idempotence-uuid header is not provided and a Profile already exists, then you will receive a response with an HTTP status code 409.

See Business Categories for the list of valid firstLevelCategory and secondLevelCategory values.

Security
UserToken
Headers
X-idempotence-uuidstring, (uuid)

Unique idempotency key for the request.

X-External-Correlation-Idstring, (uuid), <= 36 characters

Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.

Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
Bodyapplication/json
businessNamestring

Business name.

Example:"ABC Logistics Ltd"
businessNameInKatakanastring or null

Business name in Katakana (only for Japanese businesses).

Example:null
businessFreeFormDescriptionstring

Business free form description. Required if companyType is OTHER. If this is not provided for an OTHER companyType, the profile should not be allowed to create a transfer. For the rest of the companyTypes, it is highly recommended to always provide the business' description, to avoid payment issues such as suspensions. Wise will send a request for information (RFI) if this detail is not provided.

Example:"Biz free form desc"
registrationNumberstring

Business registration number.

Example:"12144939"
acnstring or null

Australian Company Number (only for Australian businesses).

Example:null
abnstring or null

Australian Business Number (only for Australian businesses).

Example:null
arbnstring or null

Australian Registered Body Number (only for Australian businesses).

Example:null
companyTypestring

Company legal form.

Enum:"LIMITED""PARTNERSHIP""SOLE_TRADER""LIMITED_BY_GUARANTEE""LIMITED_LIABILITY_COMPANY""FOR_PROFIT_CORPORATION""NON_PROFIT_CORPORATION""LIMITED_PARTNERSHIP""LIMITED_LIABILITY_PARTNERSHIP""GENERAL_PARTNERSHIP"
Example:"LIMITED"
companyRolestring

Role of person.

Enum:"OWNER""DIRECTOR""OTHER"
Example:"OWNER"
addressobject
externalCustomerIdstring

An external reference identifier mapping the customer of this profile to your system.

Example:"67890-biz-acct"
actorEmailstring

Email of the actor.

Example:"biz-acct@abcl.com"
operationalAddressesArray of objects

List of operational addresses.

webpagestring

Business webpage. Required if companyType is OTHER. If this is not provided for an OTHER companyType, the profile should not be allowed to create a transfer. For the rest of the companyTypes, it is highly recommended to always provide the business' website, to avoid payment issues such as suspensions. Wise will send a request for information (RFI) if this detail is not provided.

Example:"https://abc-logistics.com"
businessRepresentativeobject

Business representative details. Provide either the full representative details or just the businessRepresentativeId to link an existing representative.

firstLevelCategorystringdeprecated

Legacy primary business category. New integrations should use industryCategories. See Migrating to industry categories.

Example:"CONSULTING_IT_BUSINESS_SERVICES"
secondLevelCategorystringdeprecated

Legacy secondary business category. New integrations should use industryCategories. See Migrating to industry categories.

Example:"DESIGN"
curl -i -X POST \
  https://api.wise.com/v3/profiles/business-profile \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479' \
  -H 'X-idempotence-uuid: 497f6eca-6276-4993-bfeb-53cbbbba6f08' \
  -d '{
    "businessName": "ABC Logistics Ltd",
    "businessNameInKatakana": null,
    "businessFreeFormDescription": "Biz free form desc",
    "registrationNumber": "12144939",
    "acn": null,
    "abn": null,
    "arbn": null,
    "companyType": "LIMITED",
    "companyRole": "OWNER",
    "address": {
      "addressFirstLine": "1 A road",
      "city": "London",
      "countryIso2Code": "gb",
      "countryIso3Code": "gbr",
      "postCode": "11111"
    },
    "externalCustomerId": "67890-biz-acct",
    "actorEmail": "biz-acct@abcl.com",
    "firstLevelCategory": "CONSULTING_IT_BUSINESS_SERVICES",
    "secondLevelCategory": "DESIGN",
    "operationalAddresses": [
      {
        "addressFirstLine": "1 A road",
        "city": "London",
        "countryIso2Code": "gb",
        "countryIso3Code": "gbr",
        "postCode": "11111"
      }
    ],
    "webpage": "https://abc-logistics.com",
    "businessRepresentative": {
      "firstName": "Oliver",
      "lastName": "Wilson",
      "preferredName": "Olivia",
      "address": {
        "addressFirstLine": "50 Sunflower Ave",
        "city": "Phoenix",
        "countryIso3Code": "usa",
        "postCode": "10025",
        "stateCode": "AZ"
      },
      "dateOfBirth": "1977-07-01",
      "contactDetails": {
        "email": "o.wilson@example.com",
        "phoneNumber": "+3725064992"
      }
    }
  }'

Responses

Created business profile.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Echoed back when X-External-Correlation-Id was included in the request. Learn more.

Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
x-trace-idstring

Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.

Example:"fba501b6d453b96789f52338f019341f"
Response
No content